# libdar::mask_list Class Reference
[API]

the mask_list class, matches string that are present in a given file More...

`#include <mask_list.hpp>`

Inherits libdar::mask.

List of all members.

## Public Member Functions
| mask_list (const std::string &filename_list_st, bool case_sensit, const path &prefix, bool include)
| the constructor
bool | is_covered (const std::string &expression) const
| inherited from the mask class
mask * | clone () const
| inherited from the mask class
U_I | size () const
| routing only necessary for doing some testing

## Detailed Description

the mask_list class, matches string that are present in a given file

the given file must contain one entry per line (thus no carriage return is allowed in a given entry). Note that the file listed in the file may have a relative path or an absolute path.

Definition at line 50 of file mask_list.hpp.

## Constructor & Destructor Documentation

libdar::mask_list::mask_list | ( | const std::string & | filename_list_st,
|  | bool | case_sensit,
|  | const path & | prefix,
|  | bool | include |
| ) |  |  |

the constructor

Parameters:

  `[in]` | filename_list_st | is the path to the file listing the filename to select for the operation
  `[in]` | case_sensit | whether comparison is case sensitive or not
  `[in]` | prefix | add this (absolute) prefix to relative paths of the list
  `[in]` | include | whether the mask_list is used for file inclusion or file exclusion

Referenced by clone().

The documentation for this class was generated from the following file:

- mask_list.hpp